<?php
session_start();
ob_start();
$father = $_SESSION["user_id"] ;
include "dbPDO.php";
$supp_id        = $_POST['supp_id'];
$contract_code  = $_POST['contract_code'];
$ask_date       =$_POST['ask_date'];
$recpeit        =$_POST['recpeit'];
$description    = $_POST['description'];
$first_payment  = $_POST['first_payment'];
$kest_amount    = $_POST['kest_amount'];
$kest_qty       = $_POST['kest_qty'];
$first_kest     = $_POST['first_kest'];
$last_payment   = $_POST['last_payment'];
$total_cost     = $_POST['total_cost'];
$cars_qty       = $_POST['cars_qty'];
$comm           = $_POST['comm'];

$Number ='/^[0-9]+(\.[0-9]{1,2})?$/' ;
if(empty($contract_code) || empty($description))
{
  echo "
        <div class='alert alert-warning'>
        <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;' >&times;</a>
        <b> منفضلك سجل رقم العقد و محتوي العقد علي الاقل حتي يتم الحفظ ... !</b>
        </div>
  ";
  exit();
}
if(!empty($contract_code)){ $contract_code = htmlspecialchars(strip_tags($contract_code)) ;   }
if(!empty($description)){ $description = htmlspecialchars(strip_tags($description)) ;   }

if(!empty($first_payment)){
    if(!preg_match($Number,$first_payment)){
      echo "
      <div class='alert alert-warning'>
      <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
      <b> راجع من فضلك .. $first_payment يوجد خطأ في أرقام الدفعة الأولي </b>
      </div>";
      exit();
    }
    if((strlen($first_payment) < 0)){
      echo "
      <div class='alert alert-warning'>
      <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
      <b>الدفعة الأولي يجب ألا تقل عن الصفر انتبه من فضلك ...</b>
      </div>
      ";
      exit();
    }
  }
  if(!empty($kest_amount)){
      if(!preg_match($Number,$kest_amount)){
        echo "
        <div class='alert alert-warning'>
        <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
        <b> راجع من فضلك .. $kest_amount يوجد خطأ في قيمة القسط </b>
        </div>";
        exit();
      }
      if((strlen($kest_amount) < 0)){
        echo "
        <div class='alert alert-warning'>
        <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
        <b>قيمة القسط لا تقل عن الصفر انتبه من فضلك ....</b>
        </div>
        ";
        exit();
      }
    }
    if(!empty($kest_qty)){
        if(!preg_match($Number,$kest_qty)){
          echo "
          <div class='alert alert-warning'>
          <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
          <b> راجع من فضلك .. $kest_amount يوجد خطا في عدد الأقساط </b>
          </div>
        ";
          exit();
        }
        if((strlen($kest_qty) < 0)){
          echo "
          <div class='alert alert-warning'>
          <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
          <b>عدد الأقساط لا يمكن ان يقل عن الصفر انتبه من فضلك...</b>
          </div>
          ";
          exit();
        }
      }
      if(!empty($last_payment)){
          if(!preg_match($Number,$last_payment)){
            echo "
            <div class='alert alert-warning'>
            <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
            <b> راجع من فضلك .. $last_payment يوجد خطا في الدفعة الأخيرة </b>
            </div>";
            exit();
          }
          if((strlen($last_payment) < 0)){
            echo "
            <div class='alert alert-warning'>
            <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
            <b>الدفعة الاخيرة به أقل من الصفر ..انتبه من فضلك...</b>
            </div>
            ";
            exit();
          }
        }
        if(!empty($cars_qty)){
            if(!preg_match($Number,$cars_qty)){
              echo "
              <div class='alert alert-warning'>
              <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
              <b> راجع من فضلك .. $cars_qty يوجد خطأ في عدد السيارات </b>
              </div>
            ";
              exit();
            }
            if((strlen($cars_qty) < 1)){
              echo "
              <div class='alert alert-warning'>
              <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
              <b>عدد السيارات أقل من واحد سيارة !!!! نتبه ......</b>
              </div>
              ";
              exit();
            }
          }
          if(!empty($total_cost)){
              if(!preg_match($Number,$total_cost)){
                echo "
                <div class='alert alert-warning'>
                <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
                <b> راجع من فضلك .. $total_cost يوجد خطأ في إجمالي تكلفة العقد </b>
                </div>";
                exit();
              }
              if((strlen($total_cost) < 1)){
                echo "
                <div class='alert alert-warning'>
                <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
                <b>إجمالي تكلفة العقد أقل من ريال فقط راجع من فضلك ......</b>
                </div>
                ";
                exit();
              }
            }
if(!empty($comm)){ $comm = htmlspecialchars(strip_tags($comm)) ;   }
  // existing contract number in your database
  $sql=$db->prepare("SELECT cont_id,contract_code , description, cars_qty FROM supp_contracts WHERE supp_id = ? and contract_code =? LIMIT 1");
  $sql->bindParam(1,$supp_id);
  $sql->bindParam(2,$contract_code);
  $sql->execute();
  if($sql->rowCount()>0){$row = $sql->fetch(PDO::FETCH_ASSOC);
      $cont_id          = $row["cont_id"];
      $contract_code    = $row["contract_code"];
      $description      = $row["description"];
      $cars_qty         = $row["ars_qty"];
  echo "
  <div class='alert alert-danger'>
  <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
  <b>تم تسجيل بيانات العقد رقم $contract_code  من قبل كود رقم $cont_id بمواصفات و محتوي  $description بعدد سيارات  $ars_qty سيارة</b>
  </div>
  ";
  exit();
}else {
  $sql=$db->prepare("INSERT INTO supp_contracts
     (cont_id, supp_id, contract_code, ask_date, recpeit,description,
      first_payment, kest_amount, kest_qty, first_kest, last_payment, total_cost,
     cars_qty, comm, father)
   VALUES (NULL, ?, ?, ?, ?, ?, ?, ?, ?, ?,?, ?, ?, ?, ?)");
     $sql->bindParam(1,$supp_id);
     $sql->bindParam(2,$contract_code);
     $sql->bindParam(3,$ask_date);
     $sql->bindParam(4,$recpeit);
     $sql->bindParam(5,$description);
     $sql->bindParam(6,$first_payment);
     $sql->bindParam(7,$kest_amount);
     $sql->bindParam(8,$kest_qty);
     $sql->bindParam(9,$first_kest);
     $sql->bindParam(10,$last_payment);
     $sql->bindParam(11,$total_cost);
     $sql->bindParam(12,$cars_qty);
     $sql->bindParam(13,$comm);
     $sql->bindParam(14,$father);
     if($sql->execute()){
   echo "
            <div class='alert alert-success'>
                <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
               <b>تم تسجيل العقد بنجاح  .... </b>
            </div>";
 } else {
   echo "<div class='alert alert-danger'>
           <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
           <b>يوجد خطأ في حفظ العقد راجع من فضلك ... !!!</b>
        </div>";
 }
}

?>
